Subject: bug#6365: bidi data structure inefficiencies

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Jun 2010 09:37:02 -0400

> From: Dan Nicolaescu <[email-masked]>
> Date: Sun, 06 Jun 2010 23:21:32 -0400
> Cc: 
> 
> Some bidi data structures are bigger that they need to be, this
> probably results in additional cache misses.
> Examples:
> 
> struct bidi_saved_info could  use bitfields for the bidi_type_t members
> Same for bidi_stack
> 
> bidi_it could use bitfields for a lot of it's members.

Thanks for the critical review and suggestions.  I started a
discussion thread on emacs-devel about this, because I'm not sure
fixing this is a straight-forward matter.  I will implement whatever
conclusions are reached there as part of solving this bug report.